<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useGroupHeaderRenderer](./react.usegroupheaderrenderer.md)

## useGroupHeaderRenderer() function

Overrides the default group header rendering so we can inject customization

<b>Signature:</b>

```typescript
export declare function useGroupHeaderRenderer(table: ColumnTable, computedMetadata?: TableMetadata, groupHeaderFunction?: GroupHeaderFunction, lazyLoadGroups?: boolean): IRenderFunction<IDetailsGroupDividerProps>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable |  |
|  computedMetadata | TableMetadata | <i>(Optional)</i> |
|  groupHeaderFunction | [GroupHeaderFunction](./react.groupheaderfunction.md) | <i>(Optional)</i> |
|  lazyLoadGroups | boolean | <i>(Optional)</i> |

<b>Returns:</b>

IRenderFunction&lt;IDetailsGroupDividerProps&gt;


